# Using os-client-config

- Configuring OpenStack SDK Applications
  - Environment Variables
  - Config Files
  - Auth Settings
  - API Settings
  - Splitting Secrets
  - SSL Settings
  - Cache Settings
  - MFA Support
  - IPv6
  - Per-region settings
  - Setting Precedence
  - Examples
- Using openstack.config in an Application
  - Usage
  - argparse
- Vendor Support
  - Default Values
  - AURO
  - Betacloud
  - Binero
  - Catalyst
  - City Cloud
  - ConoHa
  - DreamCompute
  - Open Telekom Cloud
  - ELASTX
  - Enter Cloud Suite
  - Fuga
  - Internap
  - Limestone Networks
  - OVH
  - Rackspace
  - SWITCHengines
  - Ultimum
  - UnitedStack
  - VEXXHOST
  - Zetta
- Network Config
- API Reference
  - `OpenStackConfig`
  - `CloudRegion`

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.